import * as React from "react";
import { PropertyControls, ControlType } from "framer";

const divStyle: React.CSSProperties = {
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
  textAlign: "center",
  fontSize: 50,
  color: "#8855FF",
  background: "rgba(136, 85, 255, 0.1)",
  overflow: "hidden"
};

interface Props {
  width: number;
  height: number;
  check: boolean;
}

export class Boolean extends React.Component<Props> {
  static defaultProps = {
    check: true
  };

  static propertyControls: PropertyControls = {
    check: {
      type: ControlType.Boolean,
      title: "Got mail?",
      defaultValue: true,
      enabledTitle: "Yep",
      disabledTitle: "Nope"
    }
  };

  render() {
    return (
      <div
        style={{
          ...divStyle,
          width: this.props.width,
          height: this.props.height
        }}
      >
        {this.props.check ? "📬" : "📭"}
      </div>
    );
  }
}
