import * as React from "react";
import { PropertyControls, ControlType } from "framer";

const divStyle: React.CSSProperties = {
  height: "100%",
  display: "flex",
  background: "rgba(136, 85, 255, 0.1)",
  overflow: "hidden"
};

interface Props {
  instance: React.ReactNode;
}

export class ComponentInstance extends React.Component<Props> {
  static defaultProps = {
    instance: null
  };

  static propertyControls: PropertyControls = {
    instance: {
      type: ControlType.ComponentInstance,
      title: "Instance"
    }
  };

  render() {
    if (!this.props.instance[0]) {
      return (
        <div
          style={{
            ...divStyle,
            justifyContent: "center",
            alignItems: "center"
          }}
        >
          Connect to a frame –>
        </div>
      );
    }

    return (
      <div style={divStyle}>
        {React.cloneElement(this.props.instance[0] as any, {
          top: 0,
          left: 0
        })}
      </div>
    );
  }
}
