import * as React from "react";
import { PropertyControls, ControlType } from "framer";

const divStyle: React.CSSProperties = {
  background: "rgba(136, 85, 255, 0.1)",
  overflow: "hidden",
  display: "flex",
  gridTemplateColumns: "auto auto",
  alignItems: "center",
  justifyItems: "center",
  textAlign: "center"
};

interface Props {
  width: number;
  height: number;
  leftInstance: React.ReactNode;
  rightInstance: React.ReactNode;
}

export class ComponentInstance_Double extends React.Component<Props> {
  static defaultProps = {
    leftInstance: null,
    rightInstance: null
  };

  static propertyControls: PropertyControls = {
    leftInstance: {
      type: ControlType.ComponentInstance,
      title: "Left"
    },
    rightInstance: {
      type: ControlType.ComponentInstance,
      title: "Right"
    }
  };

  render() {
    return (
      <div
        style={{
          ...divStyle,
          width: this.props.width,
          height: this.props.height
        }}
      >
        <div>
          {this.props.leftInstance[0]
            ? React.cloneElement(this.props.leftInstance[0], {
                top: 0,
                left: 0
              })
            : "Left"}
        </div>
        <div>
          {this.props.rightInstance[0]
            ? React.cloneElement(this.props.rightInstance[0], {
                top: 0,
                left: 0
              })
            : "Right"}
        </div>
      </div>
    );
  }
}
