import * as React from "react";
import { PropertyControls, ControlType } from "framer";

const containerStyle: React.CSSProperties = {
  height: "100%",
  background: "rgba(136, 85, 255, 0.1)",
  overflow: "hidden",
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
  textAlign: "center",
  lineHeight: "80px"
};

const divStyle: React.CSSProperties = {
  width: "150px",
  height: "80px",
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
  fontSize: "20px"
};

interface Props {
  leftInstance: React.ReactNode;
  rightInstance: React.ReactNode;
}

export class ComponentInstance_Double extends React.Component<Props> {
  static defaultProps = {
    leftInstance: null,
    rightInstance: null
  };

  static propertyControls: PropertyControls = {
    leftInstance: {
      type: ControlType.ComponentInstance,
      title: "Left"
    },
    rightInstance: {
      type: ControlType.ComponentInstance,
      title: "Right"
    }
  };

  render() {
    return (
      <div style={containerStyle}>
        <div style={divStyle}>
          {this.props.leftInstance[0]
            ? React.cloneElement(this.props.leftInstance[0], {
                top: 0,
                left: 0
              })
            : "Left"}
        </div>
        <div style={divStyle}>
          {this.props.rightInstance[0]
            ? React.cloneElement(this.props.rightInstance[0], {
                top: 0,
                left: 0
              })
            : "Right"}
        </div>
      </div>
    );
  }
}
