import * as React from "react";
import { PropertyControls, ControlType } from "framer";

const divStyle: React.CSSProperties = {
  display: "flex",
  background: "rgba(136, 85, 255, 0.1)",
  overflow: "hidden"
};

interface Props {
  width: number;
  height: number;
}

export class ComponentInstance_Multiple extends React.Component<Props> {
  static propertyControls: PropertyControls = {
    children: {
      type: ControlType.Array,
      title: "Children",
      propertyControl: {
        type: ControlType.ComponentInstance
      }
    }
  };

  render() {
    return (
      <div
        style={{
          ...divStyle,
          width: this.props.width,
          height: this.props.height
        }}
      >
        {React.Children.map(this.props.children, child => {
          return React.cloneElement(child as any, {
            style: { position: "relative" }
          });
        })}
      </div>
    );
  }
}
