import * as React from "react";
import { PropertyControls, ControlType } from "framer";

const divStyle: React.CSSProperties = {
  height: "100%",
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
  background: "rgba(136, 85, 255, 0.1)",
  overflow: "hidden"
};

interface Props {
  audiofile: string;
}

export class File extends React.Component<Props> {
  static defaultProps = {
    audiofile: ""
  };

  static propertyControls: PropertyControls = {
    audiofile: {
      type: ControlType.File,
      title: "Audio file",
      allowedFileTypes: ["mp3", "m4a", "mp4", "3gp", "wav", "wave", "ogg"]
    }
  };

  render() {
    return (
      <div style={divStyle}>
        <audio
          autoPlay={false}
          loop={false}
          muted={false}
          controls={true}
          preload="auto"
          style={{
            width: "325px"
          }}
          src={this.props.audiofile}
        />
      </div>
    );
  }
}
