import * as React from "react";
import { PropertyControls, ControlType } from "framer";

const divStyle: React.CSSProperties = {
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
  background: "rgba(136, 85, 255, 0.1)",
  overflow: "hidden"
};

const imageStyle: React.CSSProperties = {
  width: 60,
  height: 60,
  borderRadius: 30,
  background: "#8855FF"
};

interface Props {
  width: number;
  height: number;
  image: string;
}

export class Image extends React.Component<Props> {
  static defaultProps = {
    image: null
  };

  static propertyControls: PropertyControls = {
    image: {
      type: ControlType.Image,
      title: "Image"
    }
  };

  render() {
    return (
      <div
        style={{
          ...divStyle,
          width: this.props.width,
          height: this.props.height
        }}
      >
        <img src={this.props.image} style={imageStyle} />
      </div>
    );
  }
}
