import * as React from "react";
import { PropertyControls, ControlType } from "framer";

const divStyle: React.CSSProperties = {
  height: "100%",
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
  background: "rgba(136, 85, 255, 0.1)",
  overflow: "hidden"
};

const imageStyle: React.CSSProperties = {
  width: 60,
  height: 60,
  borderRadius: 30,
  background: "#8855FF"
};

interface Props {
  image: string;
}

export class Image extends React.Component<Props> {
  static defaultProps = {
    image: null
  };

  static propertyControls: PropertyControls = {
    image: {
      type: ControlType.Image,
      title: "Image"
    }
  };

  render() {
    return (
      <div style={divStyle}>
        <img src={this.props.image} style={imageStyle} />
      </div>
    );
  }
}
