import * as React from "react";
import { PropertyControls, ControlType } from "framer";

const divStyle: React.CSSProperties = {
  width: "100%",
  height: "100%",
  display: "flex",
  alignItems: "center",
  justifyContent: "center",
  textAlign: "center",
  color: "#8855FF",
  background: "rgba(136, 85, 255, 0.1)",
  overflow: "hidden"
};

interface Props {
  title: string;
}

export class String extends React.Component<Props> {
  static defaultProps = {
    title: "Default title"
  };

  static propertyControls: PropertyControls = {
    title: {
      type: ControlType.String,
      title: "Title",
      placeholder: "Set title",
      defaultValue: "Default title"
    }
  };

  render() {
    return (
      <div style={divStyle}>
        <h2>{this.props.title}</h2>
      </div>
    );
  }
}
