import * as React from "react";
import { PropertyControls, ControlType } from "framer";

const divStyle: React.CSSProperties = {
  height: "100%",
  color: "#8855FF",
  background: "rgba(136, 85, 255, 0.1)",
  overflow: "hidden"
};

interface Props {
  items: Array<string>;
}

export class String_Multiple extends React.Component<Props> {
  static defaultProps = {
    items: ["First item", "Second item"]
  };

  static propertyControls: PropertyControls = {
    items: {
      type: ControlType.Array,
      title: "Items",
      propertyControl: {
        type: ControlType.String,
        placeholder: "Type name",
        defaultValue: "New item"
      },
      defaultValue: ["First item", "Second item"],
      maxCount: 5
    }
  };

  render() {
    return (
      <div style={divStyle}>
        <ul>
          {this.props.items.map((item, index) => (
            <li key={index}>{item}</li>
          ))}
        </ul>
      </div>
    );
  }
}
